/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


// 
// ForWhat.h
// Header for special purpose
//

#if !defined(_FORWHAT_H__INCLUDED)
#define _FORWHAT_H__INCLUDED

#undef _DEBUG
// The following versions are exclusive,
// if none is defined, direct scan from Usbscan.sys is used.
#define _Mustek // using STI DDI
//#undef _Legend // using STI DDI

// Remember to remove the Still.c and Still.h from project
// and then add the Usbpipe.c and Usbpipe.h to project
// if the Spicall will be used by Test Program
//#define _TestAP // using direct scan from Usbscan.sys
//#define _TestTA5 // using direct scan from Usbscan.sys

#ifdef _Mustek
#define _MustekLegendNeed
#endif

#ifdef _Legend
#define _MustekLegendNeed
#endif

#ifdef _MustekLegendNeed
#define _UseStill
#endif

#ifdef _TestAP
#define _DirectUSBDevice
#endif

#ifdef _TestTA5
#define _DirectUSBDevice
#endif

#define LegendString "Legend USB scanner"

// The MustekString should be the same with the device name displayed
// on the Scanner and Camera folder

// For ME
#define MustekString "BearPaw 2400"
// For MJ
//#define MustekString "2400 DU"

// define _MSWHQL for Micorsoft WHQL test
#define _MSWHQL

//#define VENDOR_MUSTEK	0x0400
//#define PRODUCT_BEARPAW2400 0x1001
#endif
