all:  gain.o gtscanner.o  spicall.o BaseTypedef.o scan_module.o FRuler.o Filter.o ScanModule.o ScanModuleGlobal.o \
      SourceBuffer.o ps1_main.o Fraction.o
	gcc -o ps1 ps1_main.o gain.o gt680x.gt gtscanner.o sci.gt spicall.o BaseTypedef.o scan_module.o FRuler.o Filter.o \
	ScanModule.o ScanModuleGlobal.o SourceBuffer.o Fraction.o -lm

gain.o: gain.c
	gcc -c gain.c

gtscanner.o: gtscanner.c
	gcc -c gtscanner.c

spicall.o: spicall.c
	gcc -c spicall.c

scan_module.o: scan_module.cpp scan_module.h
	gcc -c scan_module.cpp
	
BaseTypedef.o: BaseTypedef.c
	gcc -c BaseTypedef.c
	
FRuler.o: FRuler.cpp
	gcc -c FRuler.cpp

Filter.o: Filter.cpp
	gcc -c Filter.cpp

ScanModule.o: ScanModule.cpp
	gcc -c ScanModule.cpp
	
ScanModuleGlobal.o: ScanModuleGlobal.cpp
	gcc -c ScanModuleGlobal.cpp
	
SourceBuffer.o: SourceBuffer.cpp
	gcc -c SourceBuffer.cpp
	
ps1_main.o: ps1_main.cpp
	gcc -c ps1_main.cpp
	
Fraction.o: Fraction.cpp Fraction.h
	gcc -c Fraction.cpp	
progress: progress.cpp
	gcc -g progress.cpp -o progress
clean: 
	rm -f *.o
	rm -f ps1
	rm -f *~
