/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#include <stdio.h>
#include <memory.h>
#include <string.h>
#include <stdlib.h>
#include "common.h"
#include "ScanModuleGlobal.h"
#include "SpExport.h"
#include "Filter.h"
#include "SourceBuffer.h"
#include "ScanModuleInternal.h"

DS_RETURNCODE OpenDS (LPDS_IMAGEDESCRIPTOR pDefaultSetting);
DS_RETURNCODE CloseDS (void);
DS_RETURNCODE QueryImage(LPDS_IMAGEDESCRIPTOR pQuerySetting);
DS_RETURNCODE QueryBlock(LPDS_BLOCKDESCRIPTOR pImageBlock);
DS_RETURNCODE StopQuery();
DS_RETURNCODE GetDeviceInfo(bool* pisPaperLoad);

