/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


/**
 * mainwindowhandlers.h
 * 
 * Prototypes for the signal handlers 
 **/

#ifndef __IMAGEVIEWER_MAINWINDOWHANDLERS_H
#define __IMAGEVIEWER_MAINWINDOWHANDLERS_H

gboolean CheckUserExit ();
void FileOpenHandler ( GtkMenuItem * item, gpointer data );
void FileCloseHandler ( GtkMenuItem * item, gpointer data );
void FileExitItemHandler ( GtkMenuItem * item, gpointer data );
void RotateHandler ( GtkButton * button, gpointer data );
void FlipHandler ( GtkButton * button, gpointer data );
void HelpAboutHandler ( GtkMenuItem * item, gpointer data );
void scan_callback ( GtkWidget *widget, gpointer data );
void copy_callback ( GtkWidget *widget, gpointer data );
void mail_callback ( GtkWidget *widget, gpointer data );
void fax_callback ( GtkWidget *widget, gpointer data );
void SettingHandler (gint argc, gchar* argv[] );

#endif


