/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#ifndef __SETTING_H__
#define __SETTING_H__

void CreateLabelInTable ( GtkWidget* table, const gchar* caption, gint left,
			  gint right, gint top, gint bottom );
void CreateButtonInTable ( GtkWidget* table, const gchar* caption, gint left,
			   gint right, gint top, gint bottom );
void CreateButtonOutTable ( GtkWidget* table, const gchar* caption, gint left,
			    gint right, gint top, gint bottom );
void CreateFrameInTable ( GtkWidget* table, const gchar* caption, gint left,
			  gint right, gint top, gint bottom );
void CreateFrameOutTable ( GtkWidget* table, const gchar* caption, gint left,
			   gint right, gint top, gint bottom );
void CreateComboInTable ( int index, GtkWidget* table, GList* combolist, gint left,
			  gint right, gint top, gint bottom );
void SettingDialog();
#endif
