/***************************************************************************
                          gt6801.h  -  description
                             -------------------
    begin                : Fri Oct 5 2001
    copyright            : (C) 2001 by Anthony Sale
    email                : anthony_sale@jumble.i12.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#if !defined(__GT6801__H__)

#define __GT6801__H__

#include <linux/types.h>

#define BOOLEAN int

#define TRUE -1
#define FALSE 0

#define GT6801_IOCTL  0XB4A0

//structure to hold scanner arguments

struct arguments{
				int	dpi;
				float	lx;
				float	ty;
				float rx;
				float by;
				char *path;
				char *dev;
				int mode;
};

struct ioctl_arguments{
		__u8 request;
		__u8 requesttype;
		__u16 value;
		__u16 index;
		__u16 size;
		void *data;
};

#define DEFAULT_DEVICE "/dev/usbgt6801-0"

#endif