/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#ifndef __C_SOURCE_BUFFER__
#define __C_SOURCE_BUFFER__
#include "ScanModuleGlobal.h"

class CSourceBuffer
{
public:
	CSourceBuffer(CScanModuleGlobal* ptheGlobal);
	~CSourceBuffer();
	void InitializeBuffer(long BytesPerLine,long length);
	long ReadImageToBuffer();
	long DataLineCount();
	bool GetOneLine(char* dest);
	bool MoreData();
public:
	char* m_pSourceData;
	long m_nTotalLines;
	long m_nCurrentLine;
	long m_nEndLine;
	long m_nDataLength;
	long m_nBytesPerLine;
	long m_nSourceLength;
private:
	CScanModuleGlobal* m_pGlobal;
};

#endif
