/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#ifdef __cplusplus
extern "C" {
#endif

BOOL
ProcessCommandSetGTAFEGain(
        IN      HWND    ShowMessagehWnd,
        IN      ULONG   ShowMessageFlag,
        IN      HANDLE  ScannerHandle,
        IN      ULONG   CommunicationProtocol,
        IN      UCHAR   R_Offset,
        IN      UCHAR   R_Gain,
        IN      UCHAR   G_Offset,
        IN      UCHAR   G_Gain,
        IN      UCHAR   B_Offset,
        IN      UCHAR   B_Gain
        );

BOOL gtcalibrate(HANDLE ScannerHandle,
				USHORT StartY,
				USHORT CalibrateH,
				USHORT DeviceType,
			    UCHAR *R_Offset,
			    UCHAR *R_Gain,
			    UCHAR *G_Offset,
			    UCHAR *G_Gain,
			    UCHAR *B_Offset,
			    UCHAR *B_Gain,
			    UCHAR myOffsetInit,
			    UCHAR IsPixel,
			    USHORT CalDPI,
			    USHORT *leftbound,
				USHORT CalWidth,
				USHORT *_RedStop,
				USHORT *_GreenStop,
				USHORT *_BlueStop,
				USHORT ScanType );

BOOL CreateShaddingTable(HANDLE ScannerHandle,
						USHORT StartY,
						USHORT CalibrateH,
						USHORT DeviceType,
						UCHAR  R_Offset,
				        UCHAR  R_Gain,
				        UCHAR  G_Offset,
				        UCHAR  G_Gain,
				        UCHAR  B_Offset,
				        UCHAR  B_Gain,
				        PUCHAR *RShadding,
				        PUCHAR *GShadding,
				        PUCHAR *BShadding,
				        USHORT XDPI,
				        USHORT YDPI,
				        USHORT StartX,
				        UCHAR  IsPixel,
						USHORT CalWidth,
						USHORT ScanType
				   );

BOOL CreateExposuretime(HANDLE ScannerHandle,
					   USHORT StartY,
					   USHORT CalibrateH,
					   USHORT DeviceType,
				       UCHAR  R_Offset,
				       UCHAR  R_Gain,
				       UCHAR  G_Offset,
				       UCHAR  G_Gain,
				       UCHAR  B_Offset,
				       UCHAR  B_Gain);

BOOL PollingMotor(HANDLE hDevice);
BOOL EndScan41(HANDLE hDevice);
#ifdef __cplusplus
}
#endif
