/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#include <stdio.h>
#include "BaseTypedef.h"
#include "gtscanner.h"
#include "sci.h"
#include "gt680x.h"
/*
extern	UCHAR	*RColorTable[MAXWIDTH];
extern	UCHAR	*GColorTable[MAXWIDTH];
extern	UCHAR	*BColorTable[MAXWIDTH];
extern	UCHAR	*ImageBuffer;
extern	UCHAR	*RImageBuffer[MAXBUFFERNUMBER];
extern	UCHAR	*GImageBuffer[MAXBUFFERNUMBER];
extern	UCHAR	*BImageBuffer[MAXBUFFERNUMBER];
*/

PUCHAR InitialationShiddingData(PUCHAR	*RColorTable,
							  PUCHAR	*GColorTable,
							  PUCHAR	*BColorTable,
							  PUCHAR	*RImageBuffer,
							  PUCHAR	*GImageBuffer,
							  PUCHAR	*BImageBuffer)
{
	UCHAR	*ImageBuffer,*ColorTable;
	int 	i,j;
	

	for(i =0;i<MAXWIDTH;i++)
	{
	
		RColorTable[i] = (unsigned char *)malloc(MAXSHIDDING);
		GColorTable[i] = (unsigned char *)malloc(MAXSHIDDING);
		BColorTable[i] = (unsigned char *)malloc(MAXSHIDDING);

	}
	for(i=0;i<MAXWIDTH;i++)
	{
		for(j = 0;j < MAXSHIDDING;j++)
		{
			*(*(RColorTable+i)+j) = j;
			*(*(GColorTable+i)+j) = j;
			*(*(BColorTable+i)+j) = j;
		}
	}
	ImageBuffer =(UCHAR *)malloc(MAXWIDTH * MAXBUFFERNUMBER*3);
	if(ImageBuffer==NULL)
	{
		free(ImageBuffer);
		return FALSE;
	}
	for(i=0;i<MAXBUFFERNUMBER;i++)
	{
		RImageBuffer[i] = (ImageBuffer + MAXWIDTH*i);
		GImageBuffer[i] = (ImageBuffer + MAXWIDTH*(i+MAXBUFFERNUMBER));
		BImageBuffer[i] = (ImageBuffer + MAXWIDTH*(i+MAXBUFFERNUMBER*2));
	}
	return ImageBuffer;
}
