/* BearPaw1200CU panel

   Copyright (C) 2001 Mustek. 
   Maintained by Tom Wang and Alex Lin
   <tom.wang@mustek.com.tw, alex_lin@mustek.com.tw>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
*/


#ifndef __SCANMODULE_H__
#define __SCANMODULE_H__
#include "BaseTypedef.h"

#define SM_COLOR24	1
#define SM_GRAY8	2
#define SM_LINEART	3

#define SM_ERR_SCANMODE	-3
#define SM_ERR_NO_MEM	-2
#define SM_ERR_GENERAL  -1
#define SM_OK		0

int scan_image(const char* path, int mode,  int x1, int x2,int y1, int y2, int resolution,int progress_pipe);

#endif
